Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFShapeGroup

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFShape
          org.apache.poi.xssf.usermodel.XSSFShapeGroup

    public final class XSSFShapeGroup

extends XSSFShape

This object specifies a group shape that represents many shapes grouped together. This shape is to be treated just as if it were a regular shape but instead of being described by a single geometry it is made up of all the shape geometries encompassed within it. Within a group shape each of the shapes that make up the group are specified just as they normally would.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`anchor, drawing, EMU_PER_PIXEL, EMU_PER_POINT, parent, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` | `XSSFShapeGroup(XSSFDrawing drawing, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape ctGroup)` Construct a new XSSFSimpleShape object.

Method Summary
`XSSFConnector` | `createConnector(XSSFChildAnchor anchor)` Creates a simple shape.
`XSSFPicture` | `createPicture(XSSFClientAnchor anchor, int pictureIndex)` Creates a picture.
`XSSFSimpleShape` | `createSimpleShape(XSSFChildAnchor anchor)` Creates a simple shape.
`XSSFTextBox` | `createTextbox(XSSFChildAnchor anchor)` Constructs a textbox.
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape` | `getCTGroupShape()`
`protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getShapeProperties()` Returns xml bean with shape properties.
`protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape` | `prototype()` Initialize default structure of a new shape group
`void` | `setCoordinates(int x1, int y1, int x2, int y2)` Sets the coordinate space of this group.

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`getAnchor, getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFShapeGroup

    protected XSSFShapeGroup(XSSFDrawing drawing,
                             org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape ctGroup)

  Construct a new XSSFSimpleShape object.

  Parameters:
    `drawing` - the XSSFDrawing that owns this shape
    `ctGroup` - the XML bean that stores this group content

Method Detail

### prototype

    protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape prototype()

  Initialize default structure of a new shape group

### createTextbox

    public XSSFTextBox createTextbox(XSSFChildAnchor anchor)

  Constructs a textbox.

  Parameters:
    `anchor` - the child anchor describes how this shape is attached to the group.
  Returns:
    the newly created textbox.

### createSimpleShape

    public XSSFSimpleShape createSimpleShape(XSSFChildAnchor anchor)

  Creates a simple shape. This includes such shapes as lines, rectangles, and ovals.

  Parameters:
    `anchor` - the child anchor describes how this shape is attached to the group.
  Returns:
    the newly created shape.

### createConnector

    public XSSFConnector createConnector(XSSFChildAnchor anchor)

  Creates a simple shape. This includes such shapes as lines, rectangles, and ovals.

  Parameters:
    `anchor` - the child anchor describes how this shape is attached to the group.
  Returns:
    the newly created shape.

### createPicture

    public XSSFPicture createPicture(XSSFClientAnchor anchor,
                                     int pictureIndex)

  Creates a picture.

  Parameters:
    `anchor` - the client anchor describes how this picture is attached to the sheet.
    `pictureIndex` - the index of the picture in the workbook collection of pictures, `XSSFWorkbook.getAllPictures()` .
  Returns:
    the newly created picture shape.

### getCTGroupShape

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGroupShape getCTGroupShape()

### setCoordinates

    public void setCoordinates(int x1,
                               int y1,
                               int x2,
                               int y2)

  Sets the coordinate space of this group. All children are constrained to these coordinates.

### getShapeProperties

    protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getShapeProperties()

  Description copied from class: `XSSFShape`
  Returns xml bean with shape properties.

  Specified by:
    `getShapeProperties` in class `XSSFShape`
  Returns:
    xml bean with shape properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.